Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85228 - [ GCJ ] Bugs in gcj compiled eclipse
Summary: [ GCJ ] Bugs in gcj compiled eclipse
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Developer Suite
Classification: Retired
Component: eclipse
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: eclipse-bugs
QA Contact: eclipse-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-26 20:26 UTC by Need Real Name
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-22 19:28:49 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-02-26 20:26:24 UTC
1 - Create new make C project - stalled/hung had to kill after 13 minutes
    -> Expected results : Project created in workspace directory
                          C/C++ perspective opened
    -> Actual results : stalled on Create Project Dialog - after name of  
                        project,selecting default location and hitting Next.

2 - Open C/C++ perspective by selecting "Open perspective" icon from LHS toolbar
    -> Expected results: C/C++ perspective opened
    -> Actual results: Crashed with Error:

JVM terminated. Exit code=1
/home/tromey/Eclipse/build/gcjlauncher
-cp /home/tromey/Eclipse/build/startup.jar org.eclipse.core.launcher.Main
-os linux
-ws gtk
-arch x86
-showsplash /home/tromey/Eclipse/build/eclipse -showsplash 600
-debug

3 - Importing an existing project into the workspace
(Tried importing a C project)

stalled for 15 minutes on a disabled import dialog. Had to close.
closed with error
JVM terminated. Exit code=1
/home/tromey/Eclipse/build/gcjlauncher
-cp /home/tromey/Eclipse/build/startup.jar org.eclipse.core.launcher.Main
-os linux
-ws gtk
-arch x86
-showsplash /home/tromey/Eclipse/build/eclipse -showsplash 600
-debug

4-  Open a C file
in C editor:
Fails -
console has error message:
Unhandled exception caught in event loop.
Reason:
java.lang.NullPointerException

crashes with error:
JVM terminated. Exit code=1
/home/tromey/Eclipse/build/gcjlauncher
-cp /home/tromey/Eclipse/build/startup.jar org.eclipse.core.launcher.Main
-os linux
-ws gtk
-arch x86
-showsplash /home/tromey/Eclipse/build/eclipse -showsplash 600

5 - Open Debug perspective

Error while loading perspective:

Unable to create part: Debug

Results: perspective fails to load. Eclipse hangs.

6 - convert simple project to C/C++

after selecting the simple project in the dialog, nothing happens upon hitting
Finish
and message on console:
Unhandled exception caught in event loop.
Reason:
java.lang.NullPointerException


7 - open C/C++ projects view in Resource perspective

hung - killed after 30 minutes

______________________________________________________________________________

Basically, I've found that anything that is related to the CDT doesn't work at
all. Eg: Creating simple, java projects succeeds whereas creating / converting
to C/C++ projects fails; opening other perspectives succeeds but the C/C++ or
debug perspective dont; Opening views from the C/C++ or Debug perspective fails
but others (eg: Bookmarks) doesn't.

Comment 1 Tom Tromey 2003-03-25 20:11:43 UTC
I've checked in a fix for the "new project" hang.
This might fix other hangs as well, though I haven't tested that.


Comment 2 Tom Tromey 2003-04-22 19:28:49 UTC
I went through all of these, and they all work
with the current gcj-eclipse.



Note You need to log in before you can comment on or make changes to this bug.